API reference / Operations by tag
lists
Operations tagged lists.
2 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| GET | /lists/{id}/values | Browse a list's values: search (q), invalid=1 for values malformed for the list kind, sort=value, paging; plus the rule sets that use the list |
| GET | /lists/usage | How many rule sets reference each list |
GET /lists/{id}/values
Browse a list's values: search (q), invalid=1 for values malformed for the list kind, sort=value, paging; plus the rule sets that use the list
Operation getListsIdValues. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | |
q | query | string | no | |
invalid | query | string | no | |
sort | query | string | no | |
page | query | string | no | |
page_size | query | string | no |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json ListValues |
| default | error | application/json Error |
bash
curl 'https://api.metrixed.com/v1/lists/<id>/values?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{}
GET /lists/usage
How many rule sets reference each list
Operation getListsUsage. Auth: API key (Bearer) or session cookie.
bash
curl 'https://api.metrixed.com/v1/lists/usage' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{}